public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/icu-layoutex/
Date: Tue, 27 Mar 2018 12:39:37 +0000 (UTC)	[thread overview]
Message-ID: <1522154365.9c3610c71f8b29ca9428dc41701a0c59280c6f19.polynomial-c@gentoo> (raw)

commit:     9c3610c71f8b29ca9428dc41701a0c59280c6f19
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 27 10:01:15 2018 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Tue Mar 27 12:39:25 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9c3610c7

dev-libs/icu-layoutex: Bump to version 61.1

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 dev-libs/icu-layoutex/Manifest                 |   1 +
 dev-libs/icu-layoutex/icu-layoutex-61.1.ebuild | 115 +++++++++++++++++++++++++
 2 files changed, 116 insertions(+)

diff --git a/dev-libs/icu-layoutex/Manifest b/dev-libs/icu-layoutex/Manifest
index a44787b16f8..195c9b4a57c 100644
--- a/dev-libs/icu-layoutex/Manifest
+++ b/dev-libs/icu-layoutex/Manifest
@@ -1,3 +1,4 @@
 DIST icu4c-58_1-src.tgz 23366443 BLAKE2B 16f1c778d925893769c6e0f0901fe02e57289535a25edd8ee8c96bdf4551499ead2c75d0f7e733fb89d1670c5065f1e8013ebe14cbdc34881a67452e622cd990 SHA512 59b2a76834192a35125fda326587e613ef4486152cf0278c6f22568d4ae02c4b2d897efcea2654ef2b11bd1c3154aecd38cb68a70f69430736f343689f94c155
 DIST icu4c-58_2-src.tgz 23369902 BLAKE2B cdd2e02c3aba050f5b7f8b38c5a3731e3e5f1cc1403ef86a50908b95560ea3cf8a2d47119fa60cf34f22a8b65eaa2392fd5bcbd3bc48b3da541fe3d9bd7392c0 SHA512 5c21af748f48b392e6c0412bd0aee92162ea931820dcbfab4ec6e0299868504b303d88f7586cc95de55c777ac0dca3a29d6c8ca0892c646ebc864c8a5b5a162a
 DIST icu4c-60_2-src.tgz 23317835 BLAKE2B dabd24a9317b44f6852c61c83e808c920d7d29f57d53a7450c68cdad5f84941f771db07fab1f5a16451d59c7aa2750e5a4d5b5fa9a904c43d131529b648263ea SHA512 8e718e66c13e7f25714404c46b91ed6305efff1df70c328be2ec743023a7719016dae72a5fa0a05d6f5599983590a2044ff72d3453a048d987ab546d0416d694
+DIST icu4c-61_1-src.tgz 23400587 BLAKE2B 6c6c78b4169ad3e900ff8a8a8fc7286f3dfb692dc04cc88103804799d1ce1fc7d1a3a7b1fc1b379e92196dd5976cfea3fe014a09dc65d387f34f141eae5b9465 SHA512 4c37691246db802e4bae0c8c5f6ac1dac64c5753b607e539c5c1c36e361fcd9dd81bd1d3b5416c2960153b83700ccdb356412847d0506ab7782ae626ac0ffb94

diff --git a/dev-libs/icu-layoutex/icu-layoutex-61.1.ebuild b/dev-libs/icu-layoutex/icu-layoutex-61.1.ebuild
new file mode 100644
index 00000000000..7d87f4217b7
--- /dev/null
+++ b/dev-libs/icu-layoutex/icu-layoutex-61.1.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils flag-o-matic toolchain-funcs autotools multilib-minimal
+
+DESCRIPTION="External layout part of International Components for Unicode"
+HOMEPAGE="http://www.icu-project.org/"
+SRC_URI="http://download.icu-project.org/files/icu4c/${PV/_/}/icu4c-${PV//./_}-src.tgz"
+
+LICENSE="BSD"
+
+SLOT="0/${PV}"
+
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug static-libs"
+
+RDEPEND="
+	~dev-libs/icu-${PV}[${MULTILIB_USEDEP}]
+	dev-libs/icu-le-hb[${MULTILIB_USEDEP}]
+"
+
+DEPEND="
+	virtual/pkgconfig[${MULTILIB_USEDEP}]
+	${RDEPEND}
+"
+
+S="${WORKDIR}/${PN/-layoutex}/source"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-58.1-remove-bashisms.patch"
+)
+
+src_prepare() {
+	# apply patches
+	default
+
+	local variable
+
+	# Disable renaming as it is stupid thing to do
+	sed -i \
+		-e "s/#define U_DISABLE_RENAMING 0/#define U_DISABLE_RENAMING 1/" \
+		common/unicode/uconfig.h || die
+
+	# Fix linking of icudata
+	sed -i \
+		-e "s:LDFLAGSICUDT=-nodefaultlibs -nostdlib:LDFLAGSICUDT=:" \
+		config/mh-linux || die
+
+	eautoreconf
+}
+
+src_configure() {
+	# Use C++14
+	append-cxxflags -std=c++14
+
+	if tc-is-cross-compiler; then
+		mkdir "${WORKDIR}"/host || die
+		pushd "${WORKDIR}"/host >/dev/null || die
+
+		CFLAGS="" CXXFLAGS="" ASFLAGS="" LDFLAGS="" \
+		CC="$(tc-getBUILD_CC)" CXX="$(tc-getBUILD_CXX)" AR="$(tc-getBUILD_AR)" \
+		RANLIB="$(tc-getBUILD_RANLIB)" LD="$(tc-getBUILD_LD)" \
+		"${S}"/configure --disable-renaming --disable-debug \
+			--disable-samples --enable-static || die
+		emake
+
+		popd >/dev/null || die
+	fi
+
+	multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+	local myeconfargs=(
+		--disable-renaming
+		--disable-samples
+		--enable-layoutex
+		$(use_enable debug)
+		$(use_enable static-libs static)
+	)
+
+	tc-is-cross-compiler && myeconfargs+=(
+		--with-cross-build="${WORKDIR}"/host
+	)
+
+	# icu tries to use clang by default
+	tc-export CC CXX
+
+	ECONF_SOURCE=${S} \
+	econf "${myeconfargs[@]}"
+}
+
+multilib_src_test() {
+	# INTLTEST_OPTS: intltest options
+	#   -e: Exhaustive testing
+	#   -l: Reporting of memory leaks
+	#   -v: Increased verbosity
+	# IOTEST_OPTS: iotest options
+	#   -e: Exhaustive testing
+	#   -v: Increased verbosity
+	# CINTLTST_OPTS: cintltst options
+	#   -e: Exhaustive testing
+	#   -v: Increased verbosity
+	pushd layoutex &>/dev/null || die
+	emake -j1 VERBOSE="1" check
+	popd &>/dev/null || die
+}
+
+multilib_src_install() {
+	pushd layoutex &>/dev/null || die
+	default
+	popd &>/dev/null || die
+}


             reply	other threads:[~2018-03-27 12:39 UTC|newest]

Thread overview: 127+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-03-27 12:39 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-12 20:32 [gentoo-commits] repo/gentoo:master commit in: dev-libs/icu-layoutex/ Andreas Sturmlechner
2024-05-02  6:49 Sam James
2024-02-20 20:49 Andreas Sturmlechner
2024-02-20  5:56 Sam James
2024-02-20  5:56 Sam James
2024-02-20  5:56 Sam James
2024-02-17  9:55 Arthur Zamarin
2024-02-12 10:31 Sam James
2024-02-05  2:51 Sam James
2023-09-04 13:29 Andreas Sturmlechner
2023-08-19 12:39 Arthur Zamarin
2023-08-19 12:19 Arthur Zamarin
2023-08-19 11:46 Arthur Zamarin
2023-08-19 11:46 Arthur Zamarin
2023-08-19 11:38 Sam James
2023-06-14  2:48 Sam James
2023-06-10  9:39 Andreas Sturmlechner
2023-06-09  9:54 Sam James
2023-06-09  9:54 Sam James
2023-06-09  9:54 Sam James
2023-06-09  9:54 Sam James
2023-06-09  9:48 Sam James
2023-04-15 16:07 David Seifert
2023-04-14 23:37 Sam James
2023-03-26  5:08 Sam James
2022-12-02 18:47 Arthur Zamarin
2022-11-23  2:26 Sam James
2022-11-21 17:52 Arthur Zamarin
2022-11-21 17:50 Arthur Zamarin
2022-11-21 17:43 Arthur Zamarin
2022-10-21  5:18 Sam James
2022-09-23  3:18 Sam James
2022-07-29  4:17 Sam James
2022-06-19  9:13 Andreas Sturmlechner
2022-06-14 18:01 Sam James
2022-05-17 23:08 Sam James
2022-04-10 10:46 Sam James
2022-04-09 14:26 Lars Wendler
2022-04-08  0:58 Sam James
2022-02-07 13:13 Andreas Sturmlechner
2022-02-05 23:24 Andreas Sturmlechner
2022-02-05 20:46 Andreas Sturmlechner
2022-02-03  3:42 Sam James
2022-02-03  3:42 Sam James
2022-02-03  3:41 Sam James
2022-02-03  3:41 Sam James
2021-08-07  5:36 Sam James
2021-06-20 16:54 Andreas Sturmlechner
2021-06-14 10:38 Sam James
2021-06-14 10:38 Sam James
2021-06-14 10:38 Sam James
2021-06-14 10:38 Sam James
2021-06-14 10:38 Sam James
2021-04-08 19:04 Lars Wendler
2021-01-20 19:32 Andreas Sturmlechner
2021-01-12 23:18 Lars Wendler
2020-12-18 18:13 Lars Wendler
2020-10-30 16:03 Lars Wendler
2020-05-31 16:07 Mikle Kolyada
2020-05-31 15:45 Mikle Kolyada
2020-05-31 15:40 Mikle Kolyada
2020-05-29 20:42 Sergei Trofimovich
2020-05-20 14:41 Mikle Kolyada
2020-05-19 19:36 Mikle Kolyada
2020-04-29 20:44 Lars Wendler
2020-03-20 12:40 Andreas Sturmlechner
2019-12-29  9:00 Mikle Kolyada
2019-12-24 19:09 Sergei Trofimovich
2019-12-20 12:51 Agostino Sarubbo
2019-12-20 12:30 Agostino Sarubbo
2019-12-20 12:13 Agostino Sarubbo
2019-12-19 18:35 Sergei Trofimovich
2019-12-18 11:17 Agostino Sarubbo
2019-06-27 10:48 Andreas Sturmlechner
2019-06-27 10:48 Andreas Sturmlechner
2019-06-26 20:05 Sergei Trofimovich
2019-06-05  7:28 Agostino Sarubbo
2019-06-05  7:12 Agostino Sarubbo
2019-06-04 18:56 Agostino Sarubbo
2019-06-04  7:53 Tobias Klausmann
2019-05-26 22:27 Thomas Deutschmann
2019-05-25 21:58 Andreas Sturmlechner
2019-05-23 20:17 Sergei Trofimovich
2019-05-21 19:11 Mikle Kolyada
2019-04-21 11:35 Lars Wendler
2019-03-30  9:59 Andreas Sturmlechner
2019-02-01 20:42 Andreas Sturmlechner
2019-01-08 20:05 Andreas Sturmlechner
2019-01-08 19:56 Thomas Deutschmann
2019-01-02  9:54 Mikle Kolyada
2019-01-02  2:25 Matt Turner
2019-01-02  2:25 Matt Turner
2019-01-02  2:10 Matt Turner
2019-01-01 12:05 Sergei Trofimovich
2018-12-31 10:59 Sergei Trofimovich
2018-12-30 17:15 Matt Turner
2018-10-17  8:19 Lars Wendler
2018-10-17  8:19 Lars Wendler
2018-07-16 18:21 Lars Wendler
2018-03-27 12:39 Lars Wendler
2018-03-12  5:07 Matt Turner
2018-03-12  4:45 Matt Turner
2018-03-03 12:14 Tobias Klausmann
2018-02-21 23:11 Andreas Hüttel
2018-02-20  9:17 Sergei Trofimovich
2018-02-10  0:32 Thomas Deutschmann
2018-02-09  8:07 Lars Wendler
2018-02-08 22:13 Sergei Trofimovich
2017-12-13 21:43 Patrick Lauer
2017-12-12 12:30 Lars Wendler
2017-11-28 14:46 Lars Wendler
2017-10-03 15:08 Sergei Trofimovich
2017-06-05 11:05 Agostino Sarubbo
2017-05-13 23:04 Andreas Hüttel
2017-02-18 22:12 Andreas Hüttel
2017-02-18 22:12 Andreas Hüttel
2017-01-24  7:30 Jeroen Roovers
2017-01-24  7:30 Jeroen Roovers
2017-01-23 16:27 Agostino Sarubbo
2017-01-16 15:00 Lars Wendler
2017-01-11  2:50 Aaron Bauman
2016-12-20  9:07 Lars Wendler
2016-11-06 20:36 Andreas Hüttel
2016-11-06 19:10 Andreas Hüttel
2016-11-06 16:04 Lars Wendler
2016-11-06 15:59 Lars Wendler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1522154365.9c3610c71f8b29ca9428dc41701a0c59280c6f19.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox